{
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "schemes": [
    "https"
  ],
  "swagger": "2.0",
  "info": {
    "version": "1.0"
  },
  "basePath": "/",
  "paths": {
    "/api/v1/auth/forgot-password/send": {
      "post": {
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "schemes": [
          "https"
        ],
        "summary": "忘记密码-发送验证码",
        "operationId": "emailForgotPassword",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "type": "object",
              "required": [
                "email"
              ],
              "properties": {
                "email": {
                  "type": "string"
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "schema": {
              "type": "object"
            }
          }
        }
      }
    },
    "/api/v1/email/verification-code/send": {
      "post": {
        "description": "向用户邮箱发送验证码，支持注册、登录、重置密码、绑定邮箱等场景",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "schemes": [
          "https"
        ],
        "summary": "发送邮箱验证码",
        "operationId": "emailSendVerificationCode",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "type": "object",
              "required": [
                "email",
                "scene"
              ],
              "properties": {
                "email": {
                  "type": "string"
                },
                "scene": {
                  "type": "string"
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "schema": {
              "type": "object",
              "properties": {
                "expireInSec": {
                  "type": "integer"
                },
                "message": {
                  "type": "string"
                },
                "requestId": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    }
  },
  "x-date": "2026-04-22 22:30:26",
  "x-description": "This is a goctl generated swagger file.",
  "x-github": "https://github.com/zeromicro/go-zero",
  "x-go-zero-doc": "https://go-zero.dev/",
  "x-goctl-version": "1.10.1"
}